Search found 439 matches

by Mark Szlazak
Thu Jun 08, 2017 9:46 pm
Forum: Python scripting and macros
Topic: How do i get a view frames axis directions?
Replies: 10
Views: 2349

Re: How do i get a view frames axis directions?

I think it is possible to get this information through the coin camera node : cn=Gui.ActiveDocument.ActiveView.getCameraNode() # the coin node of the camera cn.orientation.getValue().getValue() # the quaternion that describes the camera orientation Some more info here : https://grey.colorado.edu/co...
by Mark Szlazak
Thu Jun 08, 2017 5:37 pm
Forum: Python scripting and macros
Topic: How do i get a view frames axis directions?
Replies: 10
Views: 2349

Re: How do i get a view frames axis directions?

Update my question. Please see above. Thx.
by Mark Szlazak
Thu Jun 08, 2017 6:50 am
Forum: Python scripting and macros
Topic: How do i get a view frames axis directions?
Replies: 10
Views: 2349

How do i get a view frames axis directions?

Say I have some custom view orientation in which the global coordinate frame looks like the picture below with no axis aligned to the edges of the computer monitors screen: xyz.png I know how to get the direction vector for the camera with Gui.ActiveDocument.ActiveView.getViewDirection() But this is...
by Mark Szlazak
Mon Jun 05, 2017 6:29 pm
Forum: Python scripting and macros
Topic: Help with AnnotationLabel height and width converstion to App.Vector() positioning
Replies: 6
Views: 1540

Re: Help with AnnotationLabel height and width converstion to App.Vector() positioning

Recently I encountered the same question with Draft.Label, found this: def getTextSize(textNode): from pivy import coin v = FreeCADGui.ActiveDocument.ActiveView.getViewer().getSoRenderManager().getViewportRegion() b = coin.SoGetBoundingBoxAction(v) textNode.getBoundingBox(b) return b.getBoundingBox...
by Mark Szlazak
Sun Jun 04, 2017 3:33 am
Forum: Python scripting and macros
Topic: Help with AnnotationLabel height and width converstion to App.Vector() positioning
Replies: 6
Views: 1540

Re: Help with AnnotationLabel height and width converstion to App.Vector() positioning

Is there no built in method to get view height in FreeCAD units or annotation rectangle dimension in pixels besides parsing these strings? This would be a 3D-vector. The annotation is just a pixel object at top of the view, which can point in any direction in FreeCAD coordinates. Then is there the ...
by Mark Szlazak
Sat Jun 03, 2017 7:15 am
Forum: Python scripting and macros
Topic: Help with AnnotationLabel height and width converstion to App.Vector() positioning
Replies: 6
Views: 1540

Re: Help with AnnotationLabel height and width converstion to App.Vector() positioning

How do pixel amounts from QtGui relate to FreeCAD vectors so I can accomplish this positioning? This is not a fixed value and changes each time you zoom in and out. You can try the following, to get the height of the view in FreeCAD units among other information. Gui.activeDocument().activeView().g...
by Mark Szlazak
Fri Jun 02, 2017 6:26 pm
Forum: Python scripting and macros
Topic: Help with AnnotationLabel height and width converstion to App.Vector() positioning
Replies: 6
Views: 1540

Help with AnnotationLabel height and width converstion to App.Vector() positioning

I am trying to find the height and width of the AnnotationLabel rectangles that contain the text so I can position them with respect to the centre of the rectangle instead of the lower left corner. I got pixel width and heights from QtGui and basically by trial and error positioned a test point to t...
by Mark Szlazak
Thu Jun 01, 2017 5:32 pm
Forum: Open discussion
Topic: What was the most tricky or complicated problem encountered when using FreeCAD
Replies: 7
Views: 1559

Re: What was the most tricky or complicated problem encountered when using FreeCAD

Maybe it would be good to point out if these problems are also problems in other CAD packages. If not then why?
I am somewhat sympathetic to the statement that a real expert knows the problems of a domain and ways to overcome or avoid them.
So where else does FreeCAD fail?
by Mark Szlazak
Thu Jun 01, 2017 8:22 am
Forum: Open discussion
Topic: What was the most tricky or complicated problem encountered when using FreeCAD
Replies: 7
Views: 1559

Re: What was the most tricky or complicated problem encountered when using FreeCAD

It is not clear to me what this topological naming issue is? Can you flesh this out more?